darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.UI.Commands.Help

Synopsis

- helpCmd :: (AbsolutePath, AbsolutePath) -> [DarcsFlag] -> [String] -> IO ()
- commandControlList :: [CommandControl]
- environmentHelp :: [([String], [String])]
- printVersion :: IO ()
- listAvailableCommands :: IO ()

# Documentation

helpCmd :: (AbsolutePath, AbsolutePath) -> [DarcsFlag] -> [String] -> IO () #

commandControlList :: [CommandControl] #

environmentHelp :: [([String], [String])] #

Help on each environment variable in which Darcs is interested.

printVersion :: IO () #

listAvailableCommands :: IO () #